Package org.apache.nutch.publisher

# Class NutchPublishers

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.nutch.publisher.NutchPublishers

All Implemented Interfaces:
  `Configurable`, `Pluggable`, `NutchPublisher`

public class NutchPublishers extends Configured implements NutchPublisher

- ## Field Summary

  ### Fields inherited from interface org.apache.nutch.publisher.NutchPublisher

  `X_POINT_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NutchPublishers(Configuration conf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Configuration`
  `getConf()`
  `void`
  `publish(Object event, Configuration conf)`
  This method publishes the event.
  `void`
  `setConf(Configuration arg0)`
  `boolean`
  `setConfig(Configuration conf)`
  Use implementation specific configurations

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NutchPublishers

    public NutchPublishers(Configuration conf)

- ## Method Details

  - ### setConfig

    public boolean setConfig(Configuration conf)
    Description copied from interface: `NutchPublisher`
    Use implementation specific configurations
    Specified by:
      `setConfig` in interface `NutchPublisher`
    Parameters:
      `conf` - `Configuration` to be used
    Returns:
      true if set, false otherwise

  - ### publish

    public void publish(Object event, Configuration conf)
    Description copied from interface: `NutchPublisher`
    This method publishes the event. Make sure that the event is a Java POJO to avoid Jackson JSON conversion errors. Currently we use the FetcherThreadEvent
    Specified by:
      `publish` in interface `NutchPublisher`
    Parameters:
      `event` - the `Object` (event) to publish
      `conf` - `Configuration` to be used

  - ### getConf

    public Configuration getConf()
    Specified by:
      `getConf` in interface `Configurable`
    Overrides:
      `getConf` in class `Configured`

  - ### setConf

    public void setConf(Configuration arg0)
    Specified by:
      `setConf` in interface `Configurable`
    Overrides:
      `setConf` in class `Configured`